<?php
/*
Plugin Name: GumGum embed code
Plugin URI: http://gumgum.com
Description: Integrates the GumGum code into a Wordpress Site
Version: 0.1
Author: GumGum
Author URI: http://gumgum.com
*/

add_option("gumgum_tid", "");
add_action('admin_menu', 'gumgumMenu');
add_action('wp_footer', 'insertEmbedCode');

/*** Menu functions ***/

function gumgumMenu() {
  add_submenu_page('options-general.php','GumGum', 'GumGum', 'edit_plugins', 'gumgum', 'gumgum_plugin_options');
}

function gumgum_plugin_options() {
    // Update option if needed
    if(!empty($_POST['new_gumgum_tid'])) {
        update_option('gumgum_tid', $_POST['new_gumgum_tid']);
        ?><div class="updated"><p><strong><?php _e('Options saved.', 'mt_trans_domain' ); ?></strong></p></div><?php
    }
    $gumgum_tid = get_option('gumgum_tid');
    ?>
    <div class="wrap">
        <h2><?php echo __( 'GumGum Plugin Options', 'mt_trans_domain' ) ?></h2>
        <p>To grab your GumGum ID <a href="http://gumgum.com/get-code" target="gumgum">click here</a></p>
        <form name="form1" method="post" action="">
            <p>
                <?php _e("Your GumGum ID:", 'mt_trans_domain' ); ?>
                <input type="text" name="new_gumgum_tid" value="<?php echo $gumgum_tid ?>" size="50">
            </p>
            <hr />
            <p class="submit">
                <input type="submit" name="Submit" value="<?php _e('Update Options', 'mt_trans_domain' ) ?>" />
            </p>
        </form>
    </div>
<?php
}

function insertEmbedCode() {
    $gumgum_tid = get_option('gumgum_tid');
    $code = <<< EMBED_CODE
<script type="text/javascript">ggv2id="{$gumgum_tid}"</script>
<script type="text/javascript" src="http://g2.gumgum.com/javascripts/ggv2.js"></script>
EMBED_CODE;
    echo !empty($gumgum_tid) ? $code : '<!-- No GumGum ID specified -->';
}

?>
